:root{
  --offwhite: #fcf9f5;
  --blue: #b8c7d1;
  --blue2: #97acb8;
  --yellow: #f8e2a5;
  --yellow2: #f3dea4;
  --pink: #dbbabd;
  --pink2: #c4969b;
  --brown: #6e5849;
  --brown2: #d6cac1;
}

:root{
  --outline-white:
  drop-shadow(-1px 0 0 white)
  drop-shadow(1px 0 0 white)
  drop-shadow(0 -1px 0 white)
  drop-shadow(0 1px 0 white);

  --outline-pink:
  drop-shadow(-2px 0 0 var(--pink))
  drop-shadow(2px 0 0 var(--pink))
  drop-shadow(0 -2px 0 var(--pink))
  drop-shadow(0 2px 0 var(--pink));

  --outline-yellow:
  drop-shadow(-2px 0 0 var(--yellow2))
  drop-shadow(2px 0 0 var(--yellow2))
  drop-shadow(0 -2px 0 var(--yellow2))
  drop-shadow(0 2px 0 var(--yellow2));

  --outline-blue:
  drop-shadow(-2px 0 0 var(--blue))
  drop-shadow(2px 0 0 var(--blue))
  drop-shadow(0 -2px 0 var(--blue))
  drop-shadow(0 2px 0 var(--blue));
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  image-rendering: pixelated;
}

body{
  font-family: 'kingthings_trypewriter_2', 'Verdana', 'sans-serif';
  color: var(--brown);
  background-image: url(/images/archive/halcalic-v1/hooray.jpg);
  animation: fade-in 0.5s ease-in;
}

::-webkit-scrollbar{
  width: 4px;
  height: 4px;
}

::-webkit-scrollbar-track{
  background: transparent;
}
 
::-webkit-scrollbar-thumb{
  border-radius: 5px;
  background: var(--brown2);
}

::-webkit-scrollbar-thumb:hover{
  background: var(--brown); 
}

::selection{
  color: #ffffff;
  background: var(--blue);
}

@font-face{
  font-family: 'kingthings_trypewriter_2';
  src: url(/stylesheets/fonts/KingthingsTrypewriter2.woff2);
}

@keyframes fade-in{
  0% {opacity: 0;}
  100% {opacity: 1;}
}

.lace{
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
  border-image: url(/images/archive/halcalic-v1/lace.png) 22 fill round;
  border-width: 20px;
  border-style: solid;
}

.outline{
  height: 100%;
  width: 100%;
  background-color: var(--offwhite);
  border: 1px solid var(--brown2);
  border-radius: 4px;
  padding: 5px;
}

.inner{
  height: 100%;
  width: 100%;
  padding: 8px;
  background-color: var(--offwhite);
  border: 1px dashed var(--brown2);
  border-radius: 4px;
  overflow: hidden;
}

a{
  color: var(--brown); 
  text-decoration: 1px underline wavy var(--brown2);
}

a:hover{
  color: var(--pink2);
  text-decoration: 1px underline wavy var(--blue);
}

li{
  list-style-type: circle;
}

hr{
  margin: 8px;
  border: none;
  border-top: 1px dashed var(--brown2);
}

textarea{
  background-color: var(--offwhite);
  color: var(--brown);
  border: 1px dashed var(--brown2);
  border-radius: 4px;
  padding: 3px;
  font-size: 10px;
}

.wrapper{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.plaid{
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.1));
  background-image: url(/images/archive/halcalic-v1/hooray.jpg);
  padding: 8px;
  border: 1px dashed var(--brown);
  border-radius: 4px;
}

.plaid2{
  height: 100%;
  width: 100%;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.3));
  background-image: url(/images/archive/halcalic-v1/woww2.jpg);
  padding: 5px;
  border: 1px dashed var(--brown);
  border-radius: 4px;
}

.plaid3{
  height: 100%;
  width: 100%;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.3));
  background-image: url(/images/archive/halcalic-v1/boing.jpg);
  padding: 5px;
  border: 1px dashed var(--brown);
  border-radius: 4px;
}

.main-page{
  display: flex;
  flex-direction: column;
  width: 500px;
  gap: 8px;
}

.top,
.bottom{
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
}

.t-left{
  position: relative;
  width: 65%;
  text-align: center;
  letter-spacing: -2px;
  line-height: 0.8;
}

.t-right{
  display: flex;
  flex-direction: column;
  gap: 8px;
  width: 35%;
}

.right-box1,
.right-box2{
  height: 123px;
}

.b-left{
  width: 35%;
  height: 125px;
}

.b-right{
  width: 65%;
  height: 125px;
}

#webrings{
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  overflow-y: scroll;
  gap: 8px;
}

#fanlists a{
  filter: 
  saturate(0%)
  sepia(50%)
  grayscale(60%);
  transition: all 0.2s linear;
}

#fanlists a:hover{
  filter: 
  saturate(50%)
  sepia(0)
  grayscale(0);
}

#buttons{
  display: flex;
  flex-direction: column;
  overflow: hidden;
  padding-top: 0;
  padding-bottom: 0;
}

#intro-hidden{
  position: absolute;
  z-index: 998;
  top: 0;
  left: 0;
  opacity: 0;
  transition: all 0.2s linear;
}

#intro-hidden:hover{
  opacity: 1;
}

#intro{
  overflow-y: scroll;
  text-align: left;
  line-height: 0.9;
  letter-spacing: -1.5px;
}

.tabs{
  position: absolute;
  z-index: -1;
  height: 100px;
  text-align: center;
  font-size: 12px;
  letter-spacing: 0.8px;
  transition: all 0.1s ease;
}

#intro-hover{
  width: 145px;
  top: -31px;
  left: 15px;
}

#intro-hover:hover{
  top: -66px;
  cursor: help;
}

#footer{
  width: 210px;
  bottom: -28px;
  left: 174px;
  filter: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.7));
}

#footer:hover{
  bottom: -47px;
  cursor: help;
}

.nav-on,
.nav-off{
  position: absolute;
  z-index: -1;
  display: flex;
  flex-direction: column;
  gap: 5px;
  width: 200px;
  font-size: 14px;
  letter-spacing: -1px;
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.2));
}

.nav-on{
  text-align: right;
  bottom: 45%;
  right: -75px;
}

.nav-off{
  text-align: left;
  direction: rtl;
  bottom: 9%;
  left: -125px;
}

.nav-on a:hover{
  transform: rotate(3deg);
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.2));
}

.nav-off a:hover{
  transform: rotate(-3deg);
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.2));
}

.dropdown-menu{
  position: absolute;
  z-index: 999;
  top: -3.4%;
  left: 100%;
  border-radius: 4px;
  visibility: hidden;
  opacity: 0;
  transition: all 0.2s linear;
}

.dropdown-menu a{
  display: block;
  width: 105px;
  margin: 6px;
  text-align: center;
  color: var(--brown);
}

.dropdown-menu a:hover{
  color: var(--blue2);
  letter-spacing: 0.5px;
  text-decoration: 1px underline wavy var(--yellow2);
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
}

.media:hover .dropdown-menu{
  visibility: visible;
  opacity: 1;
}

.menu-button{
  text-decoration: 1px underline wavy var(--brown2);
}

.menu-button:hover{
  cursor: help;
  transform: rotate(3deg);
  filter: drop-shadow(1px 1px 2px rgba(0, 0, 0, 0.1));
  color: var(--pink2);
  text-decoration: 1px underline wavy var(--blue);
}

#status{
  position: absolute;
  z-index: -1;
  width: 195px;
  height: 77px;
  left: -184px;
  bottom: 152px;
  transform: rotate(-4deg);
  filter: drop-shadow(0 0 2px rgba(0, 0, 0, 0.4));
}

#statuscafe{
  display: flex;
  flex-direction: column;
  overflow-y: scroll;
  text-align: center;
  direction: rtl;
}

#statuscafe-username{
  font-size: 12px;
  letter-spacing: -1px;
  margin-bottom: 5px;
  filter:
  saturate(50%);
}

#statuscafe-content{
  font-size: 14px;
  direction: ltr;
}

.t-right li{
  margin-left: 15px;
}

/* MISC DECOR */

#halcalic{
  position: absolute;
  z-index: 999;
  top: -59px;
  right: -10px;
  transform: rotate(3deg);
  filter: 
  var(--outline-white)
  var(--outline-yellow)
  drop-shadow(3px 4px rgba(0, 0, 0, 0.2));
}

#yukari{
  position: absolute;
  z-index: 1;
  left: -183px;
  top: 17px;
  transform: rotate(-5deg);
  filter:drop-shadow(0 0 2px rgba(0, 0, 0, 0.6));
}

#ribbon1{
  position: absolute;
  z-index: 2;
  left: -190px;
  top: 49px;
  transform: rotate(-13deg);
  filter: 
  var(--outline-white)
  drop-shadow(2px 3px rgba(0, 0, 0, 0.3));
}

#miwako{
  position: absolute;
  z-index: 1;
  right: -155px;
  bottom: 30px;
  transform: rotate(4deg);
  filter:drop-shadow(0 0 2px rgba(0, 0, 0, 0.5));
}

#ribbon2{
  position: absolute;
  z-index: 2;
  right: -169px;
  bottom: 149px;
  transform: rotate(37deg);
  filter: 
  var(--outline-white)
  drop-shadow(2px 3px rgba(0, 0, 0, 0.3));
}

#clips1{
  position: absolute;
  z-index: -3;
  bottom: -60px;
  right: -60px;
  filter: 
  var(--outline-white)
  var(--outline-yellow)
  drop-shadow(2px 2px rgba(0, 0, 0, 0.2));
}

#clips2{
  position: absolute;
  z-index: -3;
  top: -70px;
  left: -70px;
  filter: 
  var(--outline-white)
  var(--outline-pink)
  drop-shadow(2px 2px rgba(0, 0, 0, 0.2));
}

#clips3{
  position: absolute;
  z-index: -2;
  top: -36px;
  left: -36px;
  transform: rotate(-6deg);
  filter: 
  var(--outline-white)
  var(--outline-blue)
  drop-shadow(2px 2px rgba(0, 0, 0, 0.2));
}

#clips4{
  position: absolute;
  z-index: -2;
  bottom: -23px;
  right: -23px;
  filter: 
  var(--outline-white)
  var(--outline-blue)
  drop-shadow(2px 2px rgba(0, 0, 0, 0.2));
}